ConcurrentStatsCollector (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.stats.ConcurrentStatsCollector class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.stats
Class ConcurrentStatsCollector

    java.lang.Object
      org.hyperic.util.stats.ConcurrentStatsCollector

    public final class ConcurrentStatsCollector

extends java.lang.Object

Field Summary
`static java.lang.String` | `AVAIL_MANAGER_METRICS_INSERTED`
`static java.lang.String` | `CONCURRENT_STATS_COLLECTOR`
`static java.lang.String` | `DATA_MANAGER_INSERT_TIME`
`static java.lang.String` | `DB_ANALYZE_TIME`
`static java.lang.String` | `EHCACHE_TOTAL_OBJECTS`
`static java.lang.String` | `ESCALATION_EXECUTE_STATE_TIME`
`static java.lang.String` | `EVENT_PROCESSING_TIME`
`static java.lang.String` | `FIRE_ALERT_TIME`
`static java.lang.String` | `FIRED_ALERT_TIME`
`static java.lang.String` | `GALERT_FIRED_EVENT`
`static java.lang.String` | `JMS_QUEUE_PUBLISH_TIME`
`static java.lang.String` | `JMS_TOPIC_PUBLISH_TIME`
`static java.lang.String` | `JVM_FREE_MEMORY`
`static java.lang.String` | `JVM_MAX_MEMORY`
`static java.lang.String` | `JVM_TOTAL_MEMORY`
`static java.lang.String` | `LATHER_NUMBER_OF_CONNECTIONS`
`static java.lang.String` | `MEASUREMENT_SCHEDULE_TIME`
`static java.lang.String` | `METRIC_DATA_COMPRESS_TIME`
`static java.lang.String` | `PURGE_EVENT_LOGS_TIME`
`static java.lang.String` | `PURGE_MEASUREMENTS_TIME`
`static java.lang.String` | `RUNTIME_PLATFORM_AND_SERVER_MERGER`
`static java.lang.String` | `SCHEDULE_QUEUE_SIZE`
`static java.lang.String` | `SEND_ALERT_TIME`
`static java.lang.String` | `SIGAR_1MLOAD`
`static java.lang.String` | `SIGAR_CPU`
`static java.lang.String` | `SIGAR_PAGEIN`
`static java.lang.String` | `SIGAR_PAGEOUT`
`static java.lang.String` | `SIGAR_PROC_RES_MEM`
`static java.lang.String` | `SIGAR_TCP_INERRS`
`static java.lang.String` | `SIGAR_TCP_RETRANS`
`static java.lang.String` | `TRIGGER_INIT_TIME`
`static java.lang.String` | `UNSCHEDULE_QUEUE_SIZE`
`static int` | `WRITE_PERIOD`
`static java.lang.String` | `ZEVENT_QUEUE_SIZE`

Method Summary
`void` | `addStat(long value, java.lang.String id)`
`static ConcurrentStatsCollector` | `getInstance()`
`void` | `register(StatCollector stat)`
`void` | `register(java.lang.String statId)`
`void` | `startCollector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRITE_PERIOD

    public static final int WRITE_PERIOD

See Also:
  Constant Field Values

### JVM_TOTAL_MEMORY

    public static final java.lang.String JVM_TOTAL_MEMORY

See Also:
  Constant Field Values

### JVM_FREE_MEMORY

    public static final java.lang.String JVM_FREE_MEMORY

See Also:
  Constant Field Values

### JVM_MAX_MEMORY

    public static final java.lang.String JVM_MAX_MEMORY

See Also:
  Constant Field Values

### FIRE_ALERT_TIME

    public static final java.lang.String FIRE_ALERT_TIME

See Also:
  Constant Field Values

### EVENT_PROCESSING_TIME

    public static final java.lang.String EVENT_PROCESSING_TIME

See Also:
  Constant Field Values

### GALERT_FIRED_EVENT

    public static final java.lang.String GALERT_FIRED_EVENT

See Also:
  Constant Field Values

### EHCACHE_TOTAL_OBJECTS

    public static final java.lang.String EHCACHE_TOTAL_OBJECTS

See Also:
  Constant Field Values

### CONCURRENT_STATS_COLLECTOR

    public static final java.lang.String CONCURRENT_STATS_COLLECTOR

See Also:
  Constant Field Values

### LATHER_NUMBER_OF_CONNECTIONS

    public static final java.lang.String LATHER_NUMBER_OF_CONNECTIONS

See Also:
  Constant Field Values

### RUNTIME_PLATFORM_AND_SERVER_MERGER

    public static final java.lang.String RUNTIME_PLATFORM_AND_SERVER_MERGER

See Also:
  Constant Field Values

### SIGAR_1MLOAD

    public static final java.lang.String SIGAR_1MLOAD

See Also:
  Constant Field Values

### SIGAR_CPU

    public static final java.lang.String SIGAR_CPU

See Also:
  Constant Field Values

### AVAIL_MANAGER_METRICS_INSERTED

    public static final java.lang.String AVAIL_MANAGER_METRICS_INSERTED

See Also:
  Constant Field Values

### DATA_MANAGER_INSERT_TIME

    public static final java.lang.String DATA_MANAGER_INSERT_TIME

See Also:
  Constant Field Values

### SIGAR_PROC_RES_MEM

    public static final java.lang.String SIGAR_PROC_RES_MEM

See Also:
  Constant Field Values

### SIGAR_TCP_INERRS

    public static final java.lang.String SIGAR_TCP_INERRS

See Also:
  Constant Field Values

### SIGAR_TCP_RETRANS

    public static final java.lang.String SIGAR_TCP_RETRANS

See Also:
  Constant Field Values

### SIGAR_PAGEOUT

    public static final java.lang.String SIGAR_PAGEOUT

See Also:
  Constant Field Values

### SIGAR_PAGEIN

    public static final java.lang.String SIGAR_PAGEIN

See Also:
  Constant Field Values

### JMS_QUEUE_PUBLISH_TIME

    public static final java.lang.String JMS_QUEUE_PUBLISH_TIME

See Also:
  Constant Field Values

### JMS_TOPIC_PUBLISH_TIME

    public static final java.lang.String JMS_TOPIC_PUBLISH_TIME

See Also:
  Constant Field Values

### METRIC_DATA_COMPRESS_TIME

    public static final java.lang.String METRIC_DATA_COMPRESS_TIME

See Also:
  Constant Field Values

### DB_ANALYZE_TIME

    public static final java.lang.String DB_ANALYZE_TIME

See Also:
  Constant Field Values

### PURGE_EVENT_LOGS_TIME

    public static final java.lang.String PURGE_EVENT_LOGS_TIME

See Also:
  Constant Field Values

### PURGE_MEASUREMENTS_TIME

    public static final java.lang.String PURGE_MEASUREMENTS_TIME

See Also:
  Constant Field Values

### MEASUREMENT_SCHEDULE_TIME

    public static final java.lang.String MEASUREMENT_SCHEDULE_TIME

See Also:
  Constant Field Values

### SEND_ALERT_TIME

    public static final java.lang.String SEND_ALERT_TIME

See Also:
  Constant Field Values

### ZEVENT_QUEUE_SIZE

    public static final java.lang.String ZEVENT_QUEUE_SIZE

See Also:
  Constant Field Values

### TRIGGER_INIT_TIME

    public static final java.lang.String TRIGGER_INIT_TIME

See Also:
  Constant Field Values

### FIRED_ALERT_TIME

    public static final java.lang.String FIRED_ALERT_TIME

See Also:
  Constant Field Values

### SCHEDULE_QUEUE_SIZE

    public static final java.lang.String SCHEDULE_QUEUE_SIZE

See Also:
  Constant Field Values

### UNSCHEDULE_QUEUE_SIZE

    public static final java.lang.String UNSCHEDULE_QUEUE_SIZE

See Also:
  Constant Field Values

### ESCALATION_EXECUTE_STATE_TIME

    public static final java.lang.String ESCALATION_EXECUTE_STATE_TIME

See Also:
  Constant Field Values

Method Detail

### register

    public final void register(java.lang.String statId)

### register

    public final void register(StatCollector stat)

### startCollector

    public final void startCollector()

### getInstance

    public static final ConcurrentStatsCollector getInstance()

### addStat

    public final void addStat(long value,
                              java.lang.String id)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.